﻿using Syncfusion.Windows.PropertyGrid;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace PropertyGridSample
{
    public class ICustomTypeEditors
    {
        public class AutoCompleteEditor : ITypeEditor
        {

            public void Attach(PropertyViewItem property, PropertyItem info)
            {
                if (info.CanWrite)
                {
                    var binding = new Binding("Value")
                    {
                        Mode = BindingMode.TwoWay,
                        Source = info,
                        ValidatesOnExceptions = true,
                        ValidatesOnDataErrors = true
                    };
                    BindingOperations.SetBinding(autocomplete, AutoComplete.CustomSourceProperty, binding);
                }
                else
                {

                    var binding = new Binding("Value")
                    {

                        Source = info,
                        ValidatesOnExceptions = true,
                        ValidatesOnDataErrors = true
                    };
                    BindingOperations.SetBinding(autocomplete, AutoComplete.CustomSourceProperty, binding);
                }
            }

            AutoComplete autocomplete;
            public object Create(PropertyInfo propertyInfo)
            {
                autocomplete = new AutoComplete() { };


                return autocomplete;
            }

            public void Detach(PropertyViewItem property)
            {
                throw new NotImplementedException();
            }
        }


    }
}
