﻿using Syncfusion.Windows.PropertyGrid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PropertyGridSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
      
      
     
        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainWindow_Loaded);

           

     
            propertyGrid1.SelectedObject =new  Emp();
            this.DataContext = this;
    
       
        }
        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {



            CustomEditor valueEditor = new CustomEditor() { HasPropertyType = true, PropertyType = typeof(ObservableCollection<String>) };


            valueEditor.Editor = new PropertyGridSample.ICustomTypeEditors.AutoCompleteEditor();



            propertyGrid1.CustomEditorCollection.Add(valueEditor);



            propertyGrid1.RefreshPropertygrid();
        }
        public class Emp
        {
            public Emp()
            {
           
           

                Name = "suga";
                Age = 10;
                empCollection = new ObservableCollection<string>();
                empCollection.Add("WPF");

                empCollection.Add("WPF");

                empCollection.Add("Chart");

                empCollection.Add("GridView");
            }
            public string Name { get; set; }
            public int Age { get; set; }

            public ObservableCollection<String> empCollection { get; set; }
        }
     
    }
}
